LoTROInterface

LoTROInterface (https://www.lotrointerface.com/forums/index.php)
-   Script & Skin Managers (https://www.lotrointerface.com/forums/forumdisplay.php?f=51)
-   -   Unable to parse file! (Prime Plugin) (https://www.lotrointerface.com/forums/showthread.php?t=3831)

delete 03-09-2021 08:19 PM

Unable to parse file! (Prime Plugin)
 
Hi!

I get this error message after log in when trying to load Prime Plugin:

...ings Online/PluginData/******/AllServers/PrimeLoadSettings.plugindata:3: ']' expected near ','
...s Online\Plugins\PrimePlugins\RaidTools\Settings.lua :1: Unable to parse file!
...s Online\Plugins\PrimePlugins\RaidTools\__init__.lua :5: Failed to import package "PrimePlugins.RaidTools.Settings".
...Rings Online\Plugins\PrimePlugins\RaidTools\Main.lua:2: Failed to import package "PrimePlugins.RaidTools".


Any idea how could i solve it?

Thanks in advance for the help

Thurallor 03-09-2021 09:34 PM

Quote:

Originally Posted by delete (Post 12604)
Hi!

I get this error message after log in when trying to load Prime Plugin:

...ings Online/PluginData/******/AllServers/PrimeLoadSettings.plugindata:3: ']' expected near ','
...s Online\Plugins\PrimePlugins\RaidTools\Settings.lua :1: Unable to parse file!
...s Online\Plugins\PrimePlugins\RaidTools\__init__.lua :5: Failed to import package "PrimePlugins.RaidTools.Settings".
...Rings Online\Plugins\PrimePlugins\RaidTools\Main.lua:2: Failed to import package "PrimePlugins.RaidTools".


Any idea how could i solve it?

Thanks in advance for the help

Most likely this is due to the plugin not correctly handling the switch between different client languages.

Quickest fix is to delete the "PluginData/******/AllServers/PrimeLoadSettings.plugindata" file, and in the future, continue to use whatever language you are currently using.

delete 03-11-2021 03:51 PM

Thz for the tip Thurallor.

I deleted the "PrimeLoadSettings.plugindata" file, and it worked for a while, after a relog same failure, but with another file.

So i deleted all PluginData files. But the plugin keeps creating them, and when i relog, same problem as before. :(

...nData/********/[EN-RP] Laurelin/AllCharacters/PrimeLootLocks.plugindata:22: ']' expected near ',
...ine\Plugins\PrimePlugins\RaidTools\WindowManage r.lua:22: Unable to parse file
...Rings Online\Plugins\PrimePlugins\RaidTools\Main.lua:21: Failed to import package "PrimePlugins.RaidTools.WindowManager".

Any idea?

Hyoss 03-11-2021 04:02 PM

You could try writing a Personal Message to the creator of Prime Plugin, which should send them an email. Comments on lotrointerface not always do.

Thurallor 03-11-2021 08:56 PM

Quote:

Originally Posted by delete (Post 12609)
Thz for the tip Thurallor.

I deleted the "PrimeLoadSettings.plugindata" file, and it worked for a while, after a relog same failure, but with another file.

So i deleted all PluginData files. But the plugin keeps creating them, and when i relog, same problem as before. :(

...nData/********/[EN-RP] Laurelin/AllCharacters/PrimeLootLocks.plugindata:22: ']' expected near ',
...ine\Plugins\PrimePlugins\RaidTools\WindowManage r.lua:22: Unable to parse file
...Rings Online\Plugins\PrimePlugins\RaidTools\Main.lua:21: Failed to import package "PrimePlugins.RaidTools.WindowManager".

Any idea?

What language do you play the game in?

delete 03-11-2021 09:42 PM

English.

Windows is set in spanish, dunno if that affects somehow...

Thurallor 03-11-2021 09:51 PM

Quote:

Originally Posted by delete (Post 12612)
English.

Windows is set in spanish, dunno if that affects somehow...

It's possible. Do you have the same problem with other plugins, or just this one?

delete 03-12-2021 12:05 PM

Just with this plugin.

I used buffbars and combat analysis since 4 years ago. My raid team told me about Prime Plugin, very useful for Brahta and Threshold, thats the reason im very eager to get it work properly.

Right now, just after logging in:

..ings Online/PluginData/******nu89/AllServers/PrimeLoadSettings.plugindata:3: ']' expected near ','
...s Online\Plugins\PrimePlugins\RaidTools\Settings.lua :1: Unable to parse file!
...s Online\Plugins\PrimePlugins\RaidTools\__init__.lua :5: Failed to import package "PrimePlugins.RaidTools.Settings".
...Rings Online\Plugins\PrimePlugins\RaidTools\Main.lua:2: Failed to import package "PrimePlugins.RaidTools".
...uginData/****u89/[EN-RP] Laurelin/Sco***/PrimeParseSettings.plugindata:3: ']' expected near ','
...Rings Online\Plugins\PrimePlugins\Parse\Settings.lua:1: Unable to parse file!
...Rings Online\Plugins\PrimePlugins\Parse\__init__.lua:3: Failed to import package "PrimePlugins.Parse.Settings".
..the Rings Online\Plugins\PrimePlugins\Parse\Main.lua:1: Failed to import package "PrimePlugins.Parse".


all this error message!
seems related to "']' expected near ',' " thingy

Thurallor 03-12-2021 03:29 PM

Well that error message is usually what you see when you first run a plugin in the French or German client, then switch over to English and load the same plugin.

Since you're not changing languages, I have no idea why it would be happening. Maybe Garan has an idea.

If I were you, I would try a couple of things:
1. In the properties for your LOTRO shortcut, enable Windows 7 compatibility mode.
2. Make a new Windows user account, and set the language to English. Run LOTRO on that account.

Garan 03-12-2021 03:59 PM

The ']' expected near ',' error is indeed due to numeric format issues. The best way to fix it is for the plugin author to implement one of the various number format patches (basically saving numbers as strings and converting them back to numbers after they are read back in, bypassing the OS numeric format). I usually implement a slightly altered version of the Vindar patch. The original Vindar patch can be found at:
https://www.lotrointerface.com/downl...anclients.html


All times are GMT -5. The time now is 02:23 PM.

vBulletin® - Copyright ©2000 - 2022, Jelsoft Enterprises Ltd.
© MMOUI